=== debian/changelog ===
glmark2 (10.07.1-0ubuntu1) maverick; urgency=low

  * Initial release for linaro/maverick (LP: #605901)
    - see: https://blueprints.launchpad.net/ubuntu/+spec/arm-m-ui-and-test-heads

 -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Wed, 28 Jul 2010 18:22:35 +0300
