=== debian/control ===
Source: glmark2
Section: misc
Priority: optional
Maintainer: Linaro User Platforms <linaro-dev@lists.linaro.org>
Build-Depends: debhelper (>= 7.0.50~),
               python2.4 | python2.5 | python2.6 | python2.7,
               libsdl1.2-dev,
               libgl1-mesa-dev | libgl1-dev,
               libegl1-mesa-dev | libegl1-dev,
               libgles2-mesa-dev | libgles2-dev
Standards-Version: 3.9.1
Homepage: https://launchpad.net/glmark2

Package: glmark2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL (ES) 2.0 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL 2.0 variant of the benchmark.

Package: glmark2-es2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL (ES) 2.0 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL ES 2.0 variant of the benchmark.

Package: glmark2-data
Architecture: all
Depends: ${misc:Depends}
Description: Data files for the glmark2 OpenGL (ES) 2.0 benchmark
 This package contains the data files used by the glmark2 benchmark.
