=== debian/changelog ===
glmark2 (11.01-0ubuntu1) natty; urgency=low

  * New upstream version 11.01 (LP: #707492).
  * debian/rules:
    - Use the new --enable-glesv2, --enable-gl configure flags.
  * debian/copyright:
    - Update copyright.
    - Change main source license to GPL-3+ (from GPL-3).
  * debian/control:
    - Change maintainer to "Linaro Graphics Working Group".
  * debian/watch:
    - Add watch file.

 -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Tue, 25 Jan 2011 17:53:50 +0200
