=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: glmark2
 Section: misc
 Priority: optional
-Maintainer: Linaro User Platforms <linaro-dev@lists.linaro.org>
+Maintainer: Linaro Graphics Working Group <linaro-dev@lists.linaro.org>
 Build-Depends: debhelper (>= 7.0.50~),
                python2.4 | python2.5 | python2.6 | python2.7,
                libsdl1.2-dev,
