## glmark2 2011.09

=== wscript ===
--- 
+++ 
@@ -3,11 +3,12 @@
 import os
 import Options
 import Scripting
+from waflib import Context
 
 out = 'build'
 top = '.'
 
-VERSION = '11.01'
+VERSION = '2011.09'
 APPNAME = 'glmark2'
 
 def options(opt):
@@ -49,7 +50,7 @@
                       uselib = uselib, mandatory = True)
 
     # Check required packages
-    req_pkgs = [('sdl', 'sdl')]
+    req_pkgs = [('x11', 'x11'), ('libpng12', 'libpng12')]
     for (pkg, uselib) in req_pkgs:
         ctx.check_cfg(package = pkg, uselib_store = uselib,
                       args = '--cflags --libs', mandatory = True)
@@ -62,7 +63,7 @@
         ctx.check_cfg(package = pkg, uselib_store = uselib,
                       args = '--cflags --libs', mandatory = mandatory)
 
-    ctx.env.append_unique('CXXFLAGS', '-Wall -Wextra -fms-extensions'.split(' '))
+    ctx.env.append_unique('CXXFLAGS', '-Wall -Werror -Wextra -fms-extensions'.split(' '))
 
     # Prepend -O# and -g flags so that they can be overriden by the
     # CFLAGS environment variable
@@ -77,6 +78,7 @@
     ctx.env.append_unique('GLMARK_DATA_PATH', Options.options.data_path)
     ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % Options.options.data_path)
     ctx.env.append_unique('DEFINES', 'GLMARK_VERSION="%s"' % VERSION)
+    ctx.env.GLMARK2_VERSION = VERSION
 
     ctx.env.USE_GL = Options.options.gl
     ctx.env.USE_GLESv2 = Options.options.glesv2
@@ -93,5 +95,42 @@
     ctx.recurse('data')
     ctx.recurse('doc')
 
-def dist(ctx):
-    ctx.algo = 'tar.gz'
+class Glmark2Dist(Context.Context):
+    """ Custom dist command that preserves symbolic links"""
+
+    cmd = "dist"
+
+    def execute(self):
+        self.recurse([os.path.dirname(Context.g_module.root_path)])
+        self.archive()
+
+    def get_files(self):
+        import fnmatch
+        files = []
+        excludes = ['*.bzr', '*~', './.*waf*', './build*', '*.swp', '*glmark2-*.tar.gz']
+        for (dirpath, dirnames, filenames) in os.walk(top):
+            names_to_remove = []
+            names = dirnames + filenames
+            for n in names:
+                for exclude in excludes:
+                    if fnmatch.fnmatch(os.path.join(dirpath, n), exclude):
+                        names_to_remove.append(n)
+                        break
+
+            for d in names_to_remove:
+                if d in dirnames:
+                    dirnames.remove(d)
+                if d in filenames:
+                    filenames.remove(d)
+
+            files.extend([os.path.join(dirpath, d) for d in dirnames])
+            files.extend([os.path.join(dirpath, f) for f in filenames])
+
+        return files
+
+    def archive(self):
+        import tarfile
+        tar = tarfile.open(APPNAME + '-' + VERSION + '.tar.gz', 'w:gz')
+        for f in self.get_files():
+            tar.add(f, arcname = APPNAME + '-' + VERSION + '/' + f, recursive = False)
+        tar.close()
