=== debian/changelog ===
glmark2 (2011.09-0ubuntu1) oneiric; urgency=low

  * New upstream release 2011.09.
  * debian/control:
    - Start the description of the glmark2-data package with
      a lowercase letter.

 -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Thu, 22 Sep 2011 11:32:17 +0300

glmark2 (2011.08-0~linaro1) oneiric; urgency=low

  * New upstream release 2011.08.
  * debian/copyright:
    - Add copyright information for src/libpng.

 -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Fri, 19 Aug 2011 00:49:08 +0300

glmark2 (2011.07-0~linaro1) oneiric; urgency=low

  * New upstream release 2011.07.
  * debian/copyright:
    - Use a standalone license paragraph for the GPL3+ license text.

 -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Thu, 21 Jul 2011 12:19:15 +0300

glmark2 (2011.06-0~linaro1) oneiric; urgency=low

  * New upstream release 2011.06.
  * debian/copyright:
    - Added copyright information for src/libmatrix/*

 -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Fri, 24 Jun 2011 14:54:40 +0300

glmark2 (11.05-0~linaro1) natty; urgency=low

  * New upstream release 11.05.
  * debian/control:
    - Change maintainer to "Alexandros Frantzis".
    - Update Standards-Version to 3.9.2
    - Use python (>= 2.4) as a build-dependency instead of explicitly
      stating alternative python versions.

 -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Mon, 30 May 2011 14:07:36 +0300
