=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: glmark2
 Section: misc
 Priority: optional
-Maintainer: Linaro Graphics Working Group <linaro-dev@lists.linaro.org>
+Maintainer: Alexandros Frantzis <alexandros.frantzis@linaro.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               python2.4 | python2.5 | python2.6 | python2.7,
-               libsdl1.2-dev,
+               python (>= 2.4),
+               pkg-config,
+               libx11-dev,
+               libpng12-dev,
                libgl1-mesa-dev | libgl1-dev,
                libegl1-mesa-dev | libegl1-dev,
                libgles2-mesa-dev | libgles2-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://launchpad.net/glmark2
 
 Package: glmark2
@@ -38,5 +40,5 @@
 Package: glmark2-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: Data files for the glmark2 OpenGL (ES) 2.0 benchmark
+Description: data files for the glmark2 OpenGL (ES) 2.0 benchmark
  This package contains the data files used by the glmark2 benchmark.
