=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
 	./waf configure --enable-gl --enable-glesv2 --prefix=/usr
