## glmark2 2012.08

=== wscript ===
--- 
+++ 
@@ -8,10 +8,11 @@
 out = 'build'
 top = '.'
 
-VERSION = '2011.09'
+VERSION = '2012.08'
 APPNAME = 'glmark2'
 
 def options(opt):
+    opt.tool_options('gnu_dirs')
     opt.tool_options('compiler_cc')
     opt.tool_options('compiler_cxx')
 
@@ -24,22 +25,25 @@
     opt.add_option('--no-opt', action='store_false', dest = 'opt',
                    default = True, help='disable compiler optimizations')
     opt.add_option('--data-path', action='store', dest = 'data_path',
-                   help='the path to install the data to')
+                   help='path to main data (also see --data(root)dir)')
+    opt.add_option('--extras-path', action='store', dest = 'extras_path',
+                   help='path to additional data (models, shaders, textures)')
 
 def configure(ctx):
     if not Options.options.gl and not Options.options.glesv2:
         ctx.fatal("You must configure using at least one of --enable-gl, --enable-glesv2")
 
+    ctx.check_tool('gnu_dirs')
     ctx.check_tool('compiler_cc')
     ctx.check_tool('compiler_cxx')
 
     # Check required headers
-    req_headers = ['stdlib.h', 'string.h', 'unistd.h', 'fcntl.h']
+    req_headers = ['stdlib.h', 'string.h', 'unistd.h', 'stdint.h', 'stdio.h', 'jpeglib.h']
     for header in req_headers:
-        ctx.check_cxx(header_name = header, mandatory = True)
+        ctx.check_cxx(header_name = header, auto_add_header_name = True, mandatory = True)
 
     # Check for required libs
-    req_libs = [('m', 'm')]
+    req_libs = [('m', 'm'), ('jpeg', 'jpeg')]
     for (lib, uselib) in req_libs:
         ctx.check_cxx(lib = lib, uselib_store = uselib)
 
@@ -63,7 +67,7 @@
         ctx.check_cfg(package = pkg, uselib_store = uselib,
                       args = '--cflags --libs', mandatory = mandatory)
 
-    ctx.env.append_unique('CXXFLAGS', '-Wall -Werror -Wextra -fms-extensions'.split(' '))
+    ctx.env.append_unique('CXXFLAGS', '-Werror -Wall -Wextra -Wnon-virtual-dtor'.split(' '))
 
     # Prepend -O# and -g flags so that they can be overriden by the
     # CFLAGS environment variable
@@ -72,11 +76,19 @@
     if Options.options.debug:
         ctx.env.prepend_value('CXXFLAGS', '-g')
 
-    if Options.options.data_path is None:
-        Options.options.data_path = os.path.join(ctx.env.PREFIX, 'share/glmark2')
+    ctx.env.HAVE_EXTRAS = False
+    if Options.options.extras_path is not None:
+        ctx.env.HAVE_EXTRAS = True
+        ctx.env.append_unique('GLMARK_EXTRAS_PATH', Options.options.extras_path)
+        ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % Options.options.extras_path)
 
-    ctx.env.append_unique('GLMARK_DATA_PATH', Options.options.data_path)
-    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % Options.options.data_path)
+    if Options.options.data_path is not None:
+        data_path = Options.options.data_path 
+    else:
+        data_path = os.path.join(ctx.env.DATADIR, 'glmark2')
+
+    ctx.env.append_unique('GLMARK_DATA_PATH', data_path)
+    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % data_path)
     ctx.env.append_unique('DEFINES', 'GLMARK_VERSION="%s"' % VERSION)
     ctx.env.GLMARK2_VERSION = VERSION
 
@@ -84,7 +96,11 @@
     ctx.env.USE_GLESv2 = Options.options.glesv2
 
     ctx.msg("Prefix", ctx.env.PREFIX, color = 'PINK')
-    ctx.msg("Data path", Options.options.data_path, color = 'PINK')
+    ctx.msg("Data path", data_path, color = 'PINK')
+    ctx.msg("Including extras", "Yes" if ctx.env.HAVE_EXTRAS else "No",
+            color = 'PINK');
+    if ctx.env.HAVE_EXTRAS:
+        ctx.msg("Extras path", Options.options.extras_path, color = 'PINK')
     ctx.msg("Building GL2 version", "Yes" if ctx.env.USE_GL else "No",
             color = 'PINK')
     ctx.msg("Building GLESv2 version", "Yes" if ctx.env.USE_GLESv2 else "No",
@@ -107,7 +123,7 @@
     def get_files(self):
         import fnmatch
         files = []
-        excludes = ['*.bzr', '*~', './.*waf*', './build*', '*.swp', '*glmark2-*.tar.gz']
+        excludes = ['*.bzr', '*~', './.*waf*', './build*', '*.swp', '*.pyc', '*glmark2-*.tar.gz']
         for (dirpath, dirnames, filenames) in os.walk(top):
             names_to_remove = []
             names = dirnames + filenames
