=== debian/changelog ===
glmark2 (2012.08-0ubuntu2) quantal; urgency=low

  * debian/patches/update-handle-api-change-glx_ext_swap_control.patch:
    - Fixing FTBFS with latest mesa due api change (LP: #1040895)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Sat, 25 Aug 2012 23:35:30 -0300

glmark2 (2012.08-0ubuntu1) quantal; urgency=low

  * New upstream release 2012.08 (LP: #1039736)
    - Avoid crashing if gl used is not >= 2.0 (LP: #842279)
  * Bumping dh compatibility level to v9
  * debian/control:
    - Update Standards-Version to 3.9.3.
    - Add libjpeg-dev build dependency.
    - Use libegl1-x11-dev as an build-dep alternative instead of libegl1-dev.
    - Update description of glmark2-data binary package.
  * debian/copyright:
    - Refresh copyright based on the current upstrem version
  * debian/rules:
    - Clean compiled python code from unpacked waflib/ directory, as
      described in http://wiki.debian.org/UnpackWaf

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Tue, 21 Aug 2012 15:38:09 -0300
