=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: glmark2
 Section: misc
 Priority: optional
-Maintainer: Alexandros Frantzis <alexandros.frantzis@linaro.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandros Frantzis <alexandros.frantzis@linaro.org>
+Build-Depends: debhelper (>= 9),
                python (>= 2.4),
                pkg-config,
                libx11-dev,
+               libjpeg-dev,
                libpng12-dev,
                libgl1-mesa-dev | libgl1-dev,
-               libegl1-mesa-dev | libegl1-dev,
+               libegl1-mesa-dev | libegl1-x11-dev,
                libgles2-mesa-dev | libgles2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/glmark2
 
 Package: glmark2
@@ -41,4 +43,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Description: data files for the glmark2 OpenGL (ES) 2.0 benchmark
+ A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
+ API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
+ arrays, VBOs, texturing and shaders.
+ .
  This package contains the data files used by the glmark2 benchmark.
