=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,6 @@
 
 override_dh_auto_clean:
 	./waf distclean
+	# Clean compiled python code from unpacked waflib/ directory, as
+	# described in http://wiki.debian.org/UnpackWaf .
+	-find waflib -name "*.pyc" -delete
