## glmark2 2014.03

=== wscript ===
--- 
+++ 
@@ -8,18 +8,44 @@
 out = 'build'
 top = '.'
 
-VERSION = '2012.08'
+VERSION = '2014.03'
 APPNAME = 'glmark2'
+
+FLAVORS = {
+    'x11-gl' : 'glmark2',
+    'x11-glesv2' : 'glmark2-es2',
+    'drm-gl' : 'glmark2-drm',
+    'drm-glesv2' : 'glmark2-es2-drm',
+    'mir-gl' : 'glmark2-mir',
+    'mir-glesv2' : 'glmark2-es2-mir',
+    'wayland-gl' : 'glmark2-wayland',
+    'wayland-glesv2' : 'glmark2-es2-wayland'
+}
+FLAVORS_STR = ", ".join(FLAVORS.keys())
+
+def option_list_cb(option, opt, value, parser):
+    value = value.split(',')
+    setattr(parser.values, option.dest, value)
+
+def list_contains(lst, token):
+    for e in lst:
+        if token.endswith('$'):
+            if e.endswith(token[:-1]): return True
+        elif token in e: return True
+
+    return False
 
 def options(opt):
     opt.tool_options('gnu_dirs')
     opt.tool_options('compiler_cc')
     opt.tool_options('compiler_cxx')
 
-    opt.add_option('--enable-gl', action='store_true', dest = 'gl',
-                   default = False, help='build using OpenGL 2.0')
-    opt.add_option('--enable-glesv2', action='store_true', dest = 'glesv2',
-                   default = False, help='build using OpenGL ES 2.0')
+    opt.add_option('--with-flavors', type = 'string', action='callback',
+                   callback=option_list_cb,
+                   dest = 'flavors',
+                   help = "a list of flavors to build (%s, all)" % FLAVORS_STR)
+    opt.parser.set_default('flavors', [])
+
     opt.add_option('--no-debug', action='store_false', dest = 'debug',
                    default = True, help='disable compiler debug information')
     opt.add_option('--no-opt', action='store_false', dest = 'opt',
@@ -30,8 +56,22 @@
                    help='path to additional data (models, shaders, textures)')
 
 def configure(ctx):
-    if not Options.options.gl and not Options.options.glesv2:
-        ctx.fatal("You must configure using at least one of --enable-gl, --enable-glesv2")
+    # Special 'all' flavor
+    if 'all' in Options.options.flavors:
+        Options.options.flavors = list(set(Options.options.flavors) | set(FLAVORS.keys()))
+        Options.options.flavors.remove('all')
+
+    # Ensure the flavors are valid
+    for flavor in Options.options.flavors:
+       if flavor not in FLAVORS:
+            ctx.fatal('Unknown flavor: %s. Supported flavors are %s' % (flavor, FLAVORS_STR))
+
+    if not Options.options.flavors:
+        ctx.fatal('You need to select at least one flavor. Supported flavors are %s' % FLAVORS_STR)
+
+    for flavor in FLAVORS:
+        if flavor in Options.options.flavors:
+            ctx.env["FLAVOR_%s" % flavor.upper().replace('-','_')] = FLAVORS[flavor]
 
     ctx.check_tool('gnu_dirs')
     ctx.check_tool('compiler_cc')
@@ -53,16 +93,32 @@
         ctx.check_cxx(function_name = func, header_name = header,
                       uselib = uselib, mandatory = True)
 
-    # Check required packages
-    req_pkgs = [('x11', 'x11'), ('libpng12', 'libpng12')]
-    for (pkg, uselib) in req_pkgs:
-        ctx.check_cfg(package = pkg, uselib_store = uselib,
-                      args = '--cflags --libs', mandatory = True)
+    # Check for a supported version of libpng
+    supp_png_pkgs = (('libpng12', '1.2'), ('libpng15', '1.5'),)
+    have_png = False
+    for (pkg, atleast) in supp_png_pkgs:
+        try:
+            pkg_ver = ctx.check_cfg(package=pkg, uselib_store='libpng', atleast_version=atleast,
+                                    args = ['--cflags', '--libs'])
+        except:
+            continue
+        else:
+            have_png = True
+            break
+
+    if not have_png:
+        ctx.fatal('You need to install a supported version of libpng: ' + str(supp_png_pkgs))
 
     # Check optional packages
-    opt_pkgs = [('gl', 'gl', Options.options.gl),
-                ('egl', 'egl', Options.options.glesv2),
-                ('glesv2', 'glesv2', Options.options.glesv2)]
+    opt_pkgs = [('x11', 'x11', list_contains(Options.options.flavors, 'x11')),
+                ('gl', 'gl', list_contains(Options.options.flavors, 'gl$')),
+                ('egl', 'egl', list_contains(Options.options.flavors, 'glesv2$')),
+                ('glesv2', 'glesv2', list_contains(Options.options.flavors, 'glesv2$')),
+                ('libdrm','drm', list_contains(Options.options.flavors, 'drm')),
+                ('gbm','gbm', list_contains(Options.options.flavors, 'drm')),
+                ('mirclient','mirclient', list_contains(Options.options.flavors, 'mir')),
+                ('wayland-client','wayland-client', list_contains(Options.options.flavors, 'wayland')),
+                ('wayland-egl','wayland-egl', list_contains(Options.options.flavors, 'wayland'))]
     for (pkg, uselib, mandatory) in opt_pkgs:
         ctx.check_cfg(package = pkg, uselib_store = uselib,
                       args = '--cflags --libs', mandatory = mandatory)
@@ -92,19 +148,13 @@
     ctx.env.append_unique('DEFINES', 'GLMARK_VERSION="%s"' % VERSION)
     ctx.env.GLMARK2_VERSION = VERSION
 
-    ctx.env.USE_GL = Options.options.gl
-    ctx.env.USE_GLESv2 = Options.options.glesv2
-
     ctx.msg("Prefix", ctx.env.PREFIX, color = 'PINK')
     ctx.msg("Data path", data_path, color = 'PINK')
     ctx.msg("Including extras", "Yes" if ctx.env.HAVE_EXTRAS else "No",
             color = 'PINK');
     if ctx.env.HAVE_EXTRAS:
         ctx.msg("Extras path", Options.options.extras_path, color = 'PINK')
-    ctx.msg("Building GL2 version", "Yes" if ctx.env.USE_GL else "No",
-            color = 'PINK')
-    ctx.msg("Building GLESv2 version", "Yes" if ctx.env.USE_GLESv2 else "No",
-            color = 'PINK')
+    ctx.msg("Building flavors", Options.options.flavors)
 
 def build(ctx):
     ctx.recurse('src')
