=== debian/changelog ===
glmark2 (2014.03-0ubuntu3) utopic; urgency=medium

  * A no-change rebuild against latest Mir.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 02 Jul 2014 18:32:25 +0200

glmark2 (2014.03-0ubuntu2) utopic; urgency=medium

  * Only build the mir variant on amd64, arm64, armhf, and i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 May 2014 09:37:16 +0200

glmark2 (2014.03-0ubuntu1) utopic; urgency=medium

  [ Alexandros Frantzis ]
  * New upstream release 2014.03.
  * debian/control:
    - Update Standards-Version to 3.9.5.
    - Add binary packages for wayland, mir and drm variants.
  * debian/rules:
    - Build wayland, mir and drm variants.
    - Programatically create .install and .manpages files for
      variant binary packages.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 08 May 2014 23:42:01 -0300
