=== debian/control ===
--- 
+++ 
@@ -11,8 +11,12 @@
                libpng12-dev,
                libgl1-mesa-dev | libgl1-dev,
                libegl1-mesa-dev | libegl1-x11-dev,
-               libgles2-mesa-dev | libgles2-dev
-Standards-Version: 3.9.3
+               libgles2-mesa-dev | libgles2-dev,
+               libwayland-dev,
+               libmirclient-dev [amd64 arm64 armhf i386],
+               libdrm-dev,
+               libgbm-dev,
+Standards-Version: 3.9.5
 Homepage: https://launchpad.net/glmark2
 
 Package: glmark2
@@ -20,24 +24,96 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          glmark2-data (= ${source:Version})
-Description: OpenGL (ES) 2.0 benchmark
+Description: OpenGL 2.0 X11 benchmark
  A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
  API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
  arrays, VBOs, texturing and shaders.
  .
- This package contains the OpenGL 2.0 variant of the benchmark.
+ This package contains the OpenGL 2.0 variant of the benchmark for X11.
 
 Package: glmark2-es2
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          glmark2-data (= ${source:Version})
-Description: OpenGL (ES) 2.0 benchmark
+Description: OpenGL ES 2.0 X11 benchmark
  A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
  API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
  arrays, VBOs, texturing and shaders.
  .
- This package contains the OpenGL ES 2.0 variant of the benchmark.
+ This package contains the OpenGL ES 2.0 variant of the benchmark for X11.
+
+Package: glmark2-wayland
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         glmark2-data (= ${source:Version})
+Description: OpenGL 2.0 Wayland benchmark
+ A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
+ API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
+ arrays, VBOs, texturing and shaders.
+ .
+ This package contains the OpenGL 2.0 variant of the benchmark for Wayland.
+
+Package: glmark2-es2-wayland
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         glmark2-data (= ${source:Version})
+Description: OpenGL ES 2.0 Wayland benchmark
+ A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
+ API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
+ arrays, VBOs, texturing and shaders.
+ .
+ This package contains the OpenGL ES 2.0 variant of the benchmark for Wayland.
+
+Package: glmark2-mir
+Architecture: amd64 arm64 armhf i386
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         glmark2-data (= ${source:Version})
+Description: OpenGL 2.0 Mir benchmark
+ A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
+ API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
+ arrays, VBOs, texturing and shaders.
+ .
+ This package contains the OpenGL 2.0 variant of the benchmark for Mir.
+
+Package: glmark2-es2-mir
+Architecture: amd64 arm64 armhf i386
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         glmark2-data (= ${source:Version})
+Description: OpenGL ES 2.0 Mir benchmark
+ A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
+ API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
+ arrays, VBOs, texturing and shaders.
+ .
+ This package contains the OpenGL ES 2.0 variant of the benchmark for Mir.
+
+Package: glmark2-drm
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         glmark2-data (= ${source:Version})
+Description: OpenGL 2.0 DRM benchmark
+ A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
+ API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
+ arrays, VBOs, texturing and shaders.
+ .
+ This package contains the OpenGL 2.0 variant of the benchmark for DRM.
+
+Package: glmark2-es2-drm
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         glmark2-data (= ${source:Version})
+Description: OpenGL ES 2.0 DRM benchmark
+ A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
+ API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
+ arrays, VBOs, texturing and shaders.
+ .
+ This package contains the OpenGL ES 2.0 variant of the benchmark for DRM.
 
 Package: glmark2-data
 Architecture: all
