=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,19 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+FLAVORS:=x11-gl,x11-glesv2,wayland-gl,wayland-glesv2
+ifneq (,$(filter amd64 arm64 armhf i386,$(DEB_HOST_ARCH)))
+FLAVORS:=$(FLAVORS),mir-gl,mir-glesv2
+endif
+FLAVORS:=$(FLAVORS),drm-gl,drm-glesv2
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	./waf configure --enable-gl --enable-glesv2 --prefix=/usr
+	./waf configure --with-flavors=$(FLAVORS) --prefix=/usr
 
 override_dh_auto_build:
 	./waf
@@ -25,3 +32,11 @@
 	# Clean compiled python code from unpacked waflib/ directory, as
 	# described in http://wiki.debian.org/UnpackWaf .
 	-find waflib -name "*.pyc" -delete
+
+override_dh_install:
+	sh debian/create_package_install_files.sh
+	dh_install
+
+override_dh_installman:
+	sh debian/create_package_manpages_files.sh
+	dh_installman
